@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;900&display=swap');

:root {
    --grey: #c4c4c4;
    --pink: pink;
    --pink2: #fca5b3;
    --blue: #b6f3f0;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    padding: 10px 20px;
    gap: 5px;
    background: url('../img/bodyBg22.png') center/cover;
}

.container {
    max-width: 340px;
    width: 100%;
    min-height: 270px;
    border: 1px solid var(--pink);
    border-radius: 10px;
    background: var(--blue);
}

.container__content {
    padding: 15px 20px 20px 20px
}

.title {
    font: 900 2em 'Roboto', sans-serif;
    text-align: center;
    margin-bottom: 15px;
    padding: 15px 0;
    color: rgb(248, 153, 169);
}

.inputs {
    border: none;
    margin-bottom: 20px;
    border-radius: 10px;
}

.inputs__item {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 10px;
}

input {
    width: 100%;
    border-radius: 10px;
    border: none;
    height: 40px;
    padding: 0 70px 0 30px;
    font: 900 14px 'Roboto', sans-serif;
    color: rgb(255, 156, 156);
}

input:focus {
    outline: none;
    border: 3px solid var(--pink);
}

.btn-delete,
.btn2-delete {
    border: 1px solid var(--grey);
    border-radius: 50%;
    width: 23px;
    height: 23px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--grey);
    position: absolute;
    right: 15px;
    transform: rotate(45deg);
    cursor: pointer;
    background: #fff;
}

.btn-sort {
    display: flex;
    justify-content: end;
    margin-bottom: 10px;
}

.btn-sort img {
    cursor: pointer;
    display: inline;
}

.btn-add {
    position: relative;
    cursor: pointer;
    width: 150px;
    margin: auto;
}

.btn-add__left {
    font-size: 25px;
    font-weight: bold;
    color: #fff;
    background: var(--pink);
    border-radius: 50%;
    width: 42px;
    height: 42px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    border: 1px solid var(--pink);
    transition: .5s;
}

.btn-add__right {
    background: var(--pink2);
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 10px;
    width: 100%;
    height: 42px;
    border-radius: 70px;
    color: #fff;
    font: 14px 'Roboto', sans-serif;
    border: 1px solid var(--pink);
    transition: .5s;
}

#done {
    width: 350px;
    padding: 10px;
    border: 1px solid #aaa;
    max-width: 340px;
    width: 100%;
    min-height: 500px;
    border: 1px solid var(--blue);
    border-radius: 10px;
    background: pink;
    position: relative;
}

#done>div {
    margin-bottom: 10px
}

#done input {
    background: #a4fa99
}

.cross {
    transition: .5s
}

.popup {
    position: absolute;
    display: inline-block;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    top: 10px;
}

.popup .popuptext {
    visibility: hidden;
    width: 160px;
    background-color: red;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 8px 0;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -80px;
}

.popup .popuptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: red transparent transparent transparent;
}

.popup .show {
    visibility: visible;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
}

@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.popup {
    left: 50%;
    transform: translate(-50%, 0);
    top: -5px;
}

.btn-done {
    display: inline-block;
    font-size: 1.6em;
    border: 0;
    color: #e88b9a;
    margin-right: 10px;
    background: transparent;
}

#done .inputs__item .btn-done {
    display: none;
}

.hint-desktop, .hint-mobile {
    font: 900 28px 'Roboto', sans-serif;
    color: #fff;
    text-align: center;
}

.hint-mobile  {
    font-size: 1em;
}

.hint-desktop {
    display: none;
}


@media only screen and (min-width: 768px) {

    body {
        flex-direction: row;
        gap: 200px;
        background: url('../img/bodyBg1.png') center/cover;
    }

    .btn-add:hover .btn-add__left {
        transform: rotate(180deg)
    }

    .btn-add:hover div {
        background: #fff;
        border: 1px solid var(--pink2);
        color: var(--pink2);
    }

    .cross:hover {
        transform: rotate(180deg);
        background: var(--pink);
        color: #fff;
    }

    .btn-done {
        display: none;
    }

    .hint-desktop {
        display: block;
    }

    .hint-mobile {
        display: none;
    }
}